## stress-ng-0.15.00.tar.xz.f4edbde3c765ae1646fa9e90b243c1ab

=== Makefile ===
#
# Copyright (C) 2013-2021 Canonical, Ltd.
# Copyright (C) 2021-2022 Colin Ian King
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

VERSION=0.15.00
#
# Codename "harassed hedgehog"
#

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99

#
# Pedantic flags
#
ifeq ($(PEDANTIC),1)
CFLAGS += -Wcast-qual -Wfloat-equal -Wmissing-declarations \
	-Wmissing-format-attribute -Wno-long-long -Wpacked \
	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
	-Wno-missing-braces -Wno-sign-compare -Wno-multichar \
	-DHAVE_PEDANTIC
endif

#
# Expected build warnings
#
ifeq ($(UNEXPECTED),1)
CFLAGS += -DCHECK_UNEXPECTED
endif

#
# Disable any user defined PREFV setting
#
ifneq ($(PRE_V),)
override undefine PRE_V
endif
#
# Verbosity prefixes
#
ifeq ($(VERBOSE),)
PRE_V=@
PRE_Q=@
else
PRE_V=
PRE_Q=@#
endif

ifeq ($(findstring icc,$(CC)),icc)
CFLAGS += -no-inline-max-size -no-inline-max-total-size
CFLAGS += -axAVX,CORE-AVX2,CORE-AVX-I,CORE-AVX512,SSE2,SSE3,SSSE3,SSE4.1,SSE4.2,SANDYBRIDGE,SKYLAKE,SKYLAKE-AVX512,TIGERLAKE,SAPPHIRERAPIDS
CFLAGS += -ip -falign-loops -funroll-loops -ansi-alias -fma -qoverride-limits
endif

#ifeq ($(findstring clang,$(CC)),clang)
#CFLAGS += -Weverything
#endif

GREP = grep
#
# SunOS requires special grep for -e support
#
KERNEL=$(shell uname -s)
NODENAME=$(shell uname -n)
ifeq ($(KERNEL),SunOS)
ifneq ($(NODENAME),dilos)
GREP = /usr/xpg4/bin/grep
endif
endif

#
# Static flags, only to be used when using GCC
#
ifeq ($(STATIC),1)
LDFLAGS += -static -z muldefs
CFLAGS += -DBUILD_STATIC
endif

BINDIR=/usr/bin
MANDIR=/usr/share/man/man1
JOBDIR=/usr/share/stress-ng/example-jobs
BASHDIR=/usr/share/bash-completion/completions

#
# Header files
#
HEADERS = \
	core-arch.h \
	core-bitops.h \
	core-builtin.h \
	core-cache.h \
	core-capabilities.h \
	core-cpu.h \
	core-ftrace.h \
	core-hash.h \
	core-icache.h \
	core-io-priority.h \
	core-io-uring.c \
	core-nt-load.h \
	core-nt-store.h \
	core-net.h \
	core-perf.h \
	core-personality.c \
	core-pragma.h \
	core-pthread.h \
	core-put.h \
	core-smart.h \
	core-sort.h \
	core-stressors.h \
	core-syslog.h \
	core-target-clones.h \
	core-thermal-zone.h \
	core-thrash.h \
	core-vecmath.h \
	stress-af-alg-defconfigs.h \
	stress-ng.h \
	stress-version.h

#
#  Build time generated header files
#
HEADERS_GEN = \
	config.h \
	git-commit-id.h \
	io-uring.h \
	personality.h

#
#  Stressors
#
STRESS_SRC = \
	stress-access.c \
	stress-affinity.c \
	stress-af-alg.c \
	stress-aio.c \
	stress-aiol.c \
	stress-alarm.c \
	stress-apparmor.c \
	stress-atomic.c \
	stress-bad-altstack.c \
	stress-bad-ioctl.c \
	stress-bigheap.c \
	stress-bind-mount.c \
	stress-binderfs.c \
	stress-branch.c \
	stress-brk.c \
	stress-bsearch.c \
	stress-cache.c \
	stress-cacheline.c \
	stress-cap.c \
	stress-chattr.c \
	stress-chdir.c \
	stress-chmod.c \
	stress-chown.c \
	stress-chroot.c \
	stress-clock.c \
	stress-clone.c \
	stress-close.c \
	stress-context.c \
	stress-copy-file.c \
	stress-cpu.c \
	stress-cpu-online.c \
	stress-crypt.c \
	stress-cyclic.c \
	stress-daemon.c \
	stress-dccp.c \
	stress-dekker.c \
	stress-dentry.c \
	stress-dev.c \
	stress-dev-shm.c \
	stress-dir.c \
	stress-dirdeep.c \
	stress-dirmany.c \
	stress-dnotify.c \
	stress-dup.c \
	stress-dynlib.c \
	stress-efivar.c \
	stress-enosys.c \
	stress-env.c \
	stress-epoll.c \
	stress-eventfd.c \
	stress-exec.c \
	stress-exit-group.c \
	stress-fallocate.c \
	stress-fanotify.c \
	stress-far-branch.c \
	stress-fault.c \
	stress-fcntl.c \
	stress-file-ioctl.c \
	stress-fiemap.c \
	stress-fifo.c \
	stress-filename.c \
	stress-flock.c \
	stress-flushcache.c \
	stress-fork.c \
	stress-fp-error.c \
	stress-fpunch.c \
	stress-fsize.c \
	stress-fstat.c \
	stress-full.c \
	stress-funccall.c \
	stress-funcret.c \
	stress-futex.c \
	stress-get.c \
	stress-getrandom.c \
	stress-getdent.c \
	stress-goto.c \
	stress-gpu.c \
	stress-handle.c \
	stress-hash.c \
	stress-hdd.c \
	stress-heapsort.c \
	stress-hrtimers.c \
	stress-hsearch.c \
	stress-icache.c \
	stress-icmp-flood.c \
	stress-idle-page.c \
	stress-inode-flags.c \
	stress-inotify.c \
	stress-io.c \
	stress-iomix.c \
	stress-ioport.c \
	stress-ioprio.c \
	stress-io-uring.c \
	stress-ipsec-mb.c \
	stress-itimer.c \
	stress-jpeg.c \
	stress-judy.c \
	stress-kcmp.c \
	stress-key.c \
	stress-kill.c \
	stress-klog.c \
	stress-kvm.c \
	stress-l1cache.c \
	stress-landlock.c \
	stress-lease.c \
	stress-link.c \
	stress-list.c \
	stress-llc-affinity.c \
	stress-loadavg.c \
	stress-lockbus.c \
	stress-locka.c \
	stress-lockf.c \
	stress-lockofd.c \
	stress-longjmp.c \
	stress-loop.c \
	stress-lsearch.c \
	stress-madvise.c \
	stress-malloc.c \
	stress-matrix.c \
	stress-matrix-3d.c \
	stress-mcontend.c \
	stress-membarrier.c \
	stress-memcpy.c \
	stress-memfd.c \
	stress-memhotplug.c \
	stress-memrate.c \
	stress-memthrash.c \
	stress-mergesort.c \
	stress-mincore.c \
	stress-misaligned.c \
	stress-mknod.c \
	stress-mlock.c \
	stress-mlockmany.c \
	stress-mmap.c \
	stress-mmapaddr.c \
	stress-mmapfixed.c \
	stress-mmapfork.c \
	stress-mmaphuge.c \
	stress-mmapmany.c \
	stress-mprotect.c \
	stress-mq.c \
	stress-mremap.c \
	stress-msg.c \
	stress-msync.c \
	stress-msyncmany.c \
	stress-munmap.c \
	stress-mutex.c \
	stress-nanosleep.c \
	stress-netdev.c \
	stress-netlink-proc.c \
	stress-netlink-task.c \
	stress-nice.c \
	stress-nop.c \
	stress-null.c \
	stress-numa.c \
	stress-oom-pipe.c \
	stress-opcode.c \
	stress-open.c \
	stress-pagemove.c \
	stress-pageswap.c \
	stress-pci.c \
	stress-personality.c \
	stress-peterson.c \
	stress-physpage.c \
	stress-pidfd.c \
	stress-ping-sock.c \
	stress-pipe.c \
	stress-pipeherd.c \
	stress-pkey.c \
	stress-plugin.c \
	stress-poll.c \
	stress-prctl.c \
	stress-prefetch.c \
	stress-procfs.c \
	stress-pthread.c \
	stress-ptrace.c \
	stress-pty.c \
	stress-quota.c \
	stress-qsort.c \
	stress-race-sched.c \
	stress-radixsort.c \
	stress-randlist.c \
	stress-ramfs.c \
	stress-rawdev.c \
	stress-rawpkt.c \
	stress-rawsock.c \
	stress-rawudp.c \
	stress-rdrand.c \
	stress-readahead.c \
	stress-reboot.c \
	stress-regs.c \
	stress-remap.c \
	stress-rename.c \
	stress-resched.c \
	stress-resources.c \
	stress-revio.c \
	stress-ring-pipe.c \
	stress-rlimit.c \
	stress-rmap.c \
	stress-rseq.c \
	stress-rtc.c \
	stress-sctp.c \
	stress-schedpolicy.c \
	stress-seal.c \
	stress-seccomp.c \
	stress-secretmem.c \
	stress-seek.c \
	stress-sem.c \
	stress-sem-sysv.c \
	stress-sendfile.c \
	stress-session.c \
	stress-set.c \
	stress-shellsort.c \
	stress-shm.c \
	stress-shm-sysv.c \
	stress-sigabrt.c \
	stress-sigchld.c \
	stress-sigfd.c \
	stress-sigfpe.c \
	stress-sigio.c \
	stress-signal.c \
	stress-signest.c \
	stress-sigpending.c \
	stress-sigpipe.c \
	stress-sigq.c \
	stress-sigrt.c \
	stress-sigsegv.c \
	stress-sigsuspend.c \
	stress-sigtrap.c \
	stress-skiplist.c \
	stress-sleep.c \
	stress-smi.c \
	stress-sock.c \
	stress-sockabuse.c \
	stress-sockdiag.c \
	stress-sockfd.c \
	stress-sockpair.c \
	stress-sockmany.c \
	stress-softlockup.c \
	stress-spawn.c \
	stress-sparsematrix.c \
	stress-splice.c \
	stress-stack.c \
	stress-stackmmap.c \
	stress-str.c \
	stress-stream.c \
	stress-swap.c \
	stress-switch.c \
	stress-sync-file.c \
	stress-syncload.c \
	stress-sysbadaddr.c \
	stress-syscall.c \
	stress-sysinfo.c \
	stress-sysinval.c \
	stress-sysfs.c \
	stress-tee.c \
	stress-timer.c \
	stress-timerfd.c \
	stress-tlb-shootdown.c \
	stress-tmpfs.c \
	stress-touch.c \
	stress-tree.c \
	stress-tsc.c \
	stress-tsearch.c \
	stress-tun.c \
	stress-udp.c \
	stress-udp-flood.c \
	stress-unshare.c \
	stress-uprobe.c \
	stress-urandom.c \
	stress-userfaultfd.c \
	stress-usersyscall.c \
	stress-utime.c \
	stress-vdso.c \
	stress-vecfp.c \
	stress-vecmath.c \
	stress-vecshuf.c \
	stress-vecwide.c \
	stress-verity.c \
	stress-vforkmany.c \
	stress-vm.c \
	stress-vm-addr.c \
	stress-vm-rw.c \
	stress-vm-segv.c \
	stress-vm-splice.c \
	stress-wait.c \
	stress-watchdog.c \
	stress-wcs.c \
	stress-x86syscall.c \
	stress-xattr.c \
	stress-yield.c \
	stress-zero.c \
	stress-zlib.c \
	stress-zombie.c \

#
# Stress core
#
CORE_SRC = \
	core-affinity.c \
	core-cache.c \
	core-cpu.c \
	core-hash.c \
	core-helper.c \
	core-icache.c \
	core-ignite-cpu.c \
	core-io-priority.c \
	core-job.c \
	core-killpid.c \
	core-klog.c \
	core-limit.c \
	core-lock.c \
	core-log.c \
	core-madvise.c \
	core-mincore.c \
	core-mlock.c \
	core-mmap.c \
	core-module.c \
	core-mounts.c \
	core-mwc.c \
	core-net.c \
	core-numa.c \
	core-out-of-memory.c \
	core-parse-opts.c \
	core-perf.c \
	core-sched.c \
	core-setting.c \
	core-shim.c \
	core-smart.c \
	core-sort.c \
	core-thermal-zone.c \
	core-time.c \
	core-thrash.c \
	core-ftrace.c \
	core-try-open.c \
	core-vmstat.c \
	stress-ng.c

SRC = $(CORE_SRC) $(STRESS_SRC)
OBJS = $(SRC:.c=.o)

APPARMOR_PARSER=/sbin/apparmor_parser

all: makeconfig
	$(MAKE) stress-ng VERBOSE=$(VERBOSE)

#
#  Load in and set flags based on config
#
-include config
CFLAGS += $(CONFIG_CFLAGS)
LDFLAGS += $(CONFIG_LDFLAGS)
OBJS += $(CONFIG_OBJS)

.SUFFIXES: .c .o

.o: Makefile

%.o: %.c $(HEADERS) $(HEADERS_GEN)
	$(PRE_Q)echo "CC $<"
	$(PRE_V)$(CC) $(CFLAGS) -c -o $@ $<

stress-ng: $(OBJS)
	$(PRE_Q)echo "LD $@"
	$(PRE_V)$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -o $@

config.h:
	$(MAKE) CC="$(CC)" STATIC=$(STATIC) -f Makefile.config

.PHONY:
makeconfig: config.h

#
#  generate apparmor data using minimal core utils tools from apparmor
#  parser output
#
apparmor-data.o: usr.bin.pulseaudio.eg
	$(PRE_V)$(APPARMOR_PARSER) -Q usr.bin.pulseaudio.eg  -o apparmor-data.bin >/dev/null 2>&1
	$(PRE_V)echo "#include <stddef.h>" > apparmor-data.c
	$(PRE_V)echo "char g_apparmor_data[]= { " >> apparmor-data.c
	$(PRE_V)od -tx1 -An -v < apparmor-data.bin | \
		sed 's/[0-9a-f][0-9a-f]/0x&,/g' | \
		sed '$$ s/.$$//' >> apparmor-data.c
	$(PRE_V)echo "};" >> apparmor-data.c
	$(PRE_V)echo "const size_t g_apparmor_data_len = sizeof(g_apparmor_data);" >> apparmor-data.c
	$(PRE_Q)echo "CC $<"
	$(PRE_V)$(CC) -c apparmor-data.c -o apparmor-data.o
	$(PRE_V)rm -rf apparmor-data.c apparmor-data.bin

#
#  extract the PER_* personality enums
#
personality.h:
	$(PRE_V)$(CPP) $(CONFIG_CFLAGS) core-personality.c | $(GREP) -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
	| sed "s/.$$/,/" > personality.h
	$(PRE_Q)echo "MK personality.h"

stress-personality.c: personality.h

#
#  extract IORING_OP enums and #define HAVE_ prefixed values
#  so we can check if these enums exist
#
io-uring.h:
	$(PRE_V)$(CPP) $(CFLAGS) core-io-uring.c  | $(GREP) IORING_OP | sed 's/,//' | \
	sed 's/.*\(IORING_OP_.*\)/#define HAVE_\1/' > io-uring.h
	$(PRE_Q)echo "MK io-uring.h"

stress-io-uring.c: io-uring.h

core-perf.o: core-perf.c core-perf-event.c
	$(PRE_V)$(CC) $(CFLAGS) -E core-perf-event.c | $(GREP) "PERF_COUNT" | \
	sed 's/,/ /' | sed s/'^ *//' | \
	awk {'print "#define STRESS_" $$1 " (1)"'} > core-perf-event.h
	$(PRE_Q)echo CC $<
	$(PRE_V)$(CC) $(CFLAGS) -c -o $@ $<

stress-vecmath.o: stress-vecmath.c
	$(PRE_Q)echo CC $<
	$(PRE_V)$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<

#
#  define STRESS_GIT_COMMIT_ID
#
git-commit-id.h:
	$(PRE_Q)echo "MK $@"
	@if [ -e .git/HEAD -a -e .git/index ]; then \
		echo "#define STRESS_GIT_COMMIT_ID \"$(shell git rev-parse HEAD)\"" > $@ ; \
	else \
		echo "#define STRESS_GIT_COMMIT_ID \"\"" > $@ ; \
	fi

=== debian/changelog ===
stress-ng (0.15.00-1) unstable; urgency=medium

  [Meysam Azad]
  * add relevant docs to readme
  * remove playground stuff
  * update deprecated action
  * add workflow dependency
  * remove platform and add trivy image scan
  * take it for a test run
  * tag the image manually
  * feat(ci): build docker image for DockerHub

  [Kenny Gong]
  * correct macro name to avoid build fail on riscv

  [Thinh Tran]
  * core-log: fix pr_spin_lock() spin forever when timeout expired

  [Colin Ian King]
  * stress-vm-addr: add a yield point in address loop
  * stress-far-branch: voidify base and offset
  * stress-crypt: add Solaris ENOENT return check
  * stress-crypt: fix crypt call for systems without crypt_r
  * stress-chroot: cast mmap return to same type as metrics pointer
  * stress-atomic: cast mmap return to same type as metrics pointer
  * stress-access: cast mmap to same type as metrics pointer
  * stress-mmap: only declare pointer buf64 when it is required
  * stress-mmap: add build check for mprotect use in Step #10
  * stress-mmap: add build check for mprotect use in Step #9
  * stress-race-sched: add built time check for sched_setaffinity
  * stress-flushcache: remove voidification of non-existant args
  * stress-sigsegv: rework rdtsc assembler to clear up tcc compiler warning
  * core-mwc: remove target clones as clang does not support multiversioned clones
  * stress-sigsegv: correct the cache flushing, should be on the ptr address
  * stress-memthrash: remove pointer constifications
  * stress-link: fix missing ; after voidification of do_link
  * stress-fsize: use correct hex format specifiers and fix error message
  * stress-fsize: don't fail on fsize overflow checks, report these just once
  * stress-vm-addr: iterate over wider address range, remove ALIGN_VM macro
  * stress-cacheline: replace assignment with load and store assignments
  * stress-rawsock: add built time detection for just struct iphdr
  * stress-sparsematrix: fix some casting that fails on s390x
  * stress-tsc: fix build error on 32 bit x86
  * stress-tsc: add verification that TSC is monotonically increasing
  * core-job: remove redundant assignment to ptr
  * core-job: check buf instead of ptr, cleans up cppcheck false positive
  * stress-ng.h: don't forward declare stressor_info_t as it is a C11 feature
  * stress-syscall: only declare clocks[] where needed
  * core-net: voidify unused args for non-net builds
  * stress-*: rename stress_not_implemented to stress_unimplemented
  * stress-*: add more explanation about stressors being unimplemented
  * stress-syscall: terminate sigsuspend syscall child processes
  * stress-list: fix help information
  * stress-tree: add metrics
  * stress-tree: add more fine-grained checks for RB and SPLAY trees
  * stress-l1cache: remove { } around 1 item statement
  * stress-hash: add two more hash functions
  * stress-syscall: disable mknodat on OS X
  * stress-fcntl: disabled F_GETLEASE on OS X, it fails
  * stress-race-sched: fix build issues with systems without scheduling
  * stress-stream: unroll index 0 level stream operations
  * core-perf: add missing tab before comment
  * core-job: remove empty line
  * core-mwc: use TARGET_CLONES in stress_mwc32
  * Manual: update stream stressor with some additional notes
  * stress-stream: add read and write rates, correct fp op rate
  * Add gcc unroll optimization detection and use it in a few niche places
  * stress-madvise: add NOCLOBBER annotation on bool file_mapped
  * stress-memthrash: add explanation to the store after a prefetch
  * stress-goto: remove label direction for non-random gotos on each bogo loop
  * stress-branch: minor re-ordering of seed + label, speed up by ~11%
  * stress-dev-shm: add OOMable child wrapper to catch OOMing (LP: #1961076)
  * core-perf: add some more kernel related events
  * stress-sigsegv: fix incorrect sizeof on cacheflush call
  * stress-race-sched: force mix of scheduling activity based on random value
  * stress-sigsegv: ensure expected_addr is flushed back before sigsegv
  * workflows: turn uppercase chars in repo to lowercase
  * stress-numa: use %zu for size_t in pr_* statements
  * stress-memthrash: remove debug message on mbind returns
  * stress-memthrash: add numa mbind'ing of pages
  * stress-numa: size numa bitmask based on max number of numa nodes
  * Manual: remove some tabs and white spaces
  * stress-utime: remove tab
  * stress-race-sched: add yield before exiting child
  * stress-race-sched: also try to change scheduler for each process
  * stress-race-sched: add synchronized prev/forward methods
  * stress-race-sched: add option --race-sched-method for CPU selection
  * core-log: remove extraneous getpid call
  * stress-tsc: riscv: fix error message, should be rdtime and not rdcycle
  * stress-ng: add --log-lockless option to disable log message locking
  * core-log: add global shared memory check before dereferencing it
  * stress-efivar: disable for ALPHA
  * stress-shellsort: rename OPT_shellsort_integers to OPT_shellsort_size
  * stress-race-sched: add some renicing for child process
  * stress-sparsematrix: remove unused variable j
  * stress-race-sched: add stressor to exercise races on cpu affinity
  * stress-loadavg.c: force 64 bit multiply to avoid overflow on 32 bit multiply
  * stress-procfs: avoid misaligned pci reads on sh4, it causes SIGBUS
  * stress-vdso: return -1 for bad time() return rather than cast to int
  * stress-syscall: return -1 for bad time() return rather than cast to int
  * stress-sysbadaddr: return -1 for bad time() return rather than cast to int
  * stress-fsize: add in fallocate offsets to help debugging on failures
  * stress-clock/syscall: Forgot to check-in struct shim_timex changes
  * clean up build issues on OS/X
  * stress-sparsematrix: only declare hash judy struct if judy is supported
  * stress-vecwide: add stressor name and a key to debug performance data
  * stress-plugin: only report plugging loading failures on instance 0


=== debian/control ===
Source: stress-ng
Rules-Requires-Root: no
Section: devel
Priority: optional
Maintainer: Colin Ian King <colin.i.king@gmail.com>
Standards-Version: 4.6.0
Build-Depends: debhelper (>= 13),
               debhelper-compat (=13),
               zlib1g-dev,
               libbsd-dev,
               libgcrypt20-dev,
               libjpeg-dev,
               libkeyutils-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !linux-ia64],
               libapparmor-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               apparmor [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libaio-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libcap-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libsctp-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libipsec-mb-dev [amd64],
               libjudy-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libatomic1 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libkmod-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libxxhash-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libglvnd-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libgbm-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]

Homepage: https://github.com/ColinIanKing/stress-ng
Package: stress-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to load and stress a computer
 stress-ng can stress various subsystems of a computer.  It can stress load
 CPU, cache, disk, memory, socket and pipe I/O, scheduling and much more.
 stress-ng is a re-write of the original stress tool by Amos Waterland but
 has many additional features such as specifying the number of bogo operations
 to run, execution metrics, a stress verification on memory and compute
 operations and considerably more stress mechanisms.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?V?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
             https://github.com/ColinIanKing/stress-ng/tags \
             (?:.*?/)?V?(\d[\d.]*)\.tar\.gz debian uupdate
